[arch-commits] Commit in kdeplasma-applets-networkmanager/repos (3 files)

Andrea Scarpino andrea at archlinux.org
Tue Nov 10 06:05:23 EST 2009


    Date: Tuesday, November 10, 2009 @ 06:05:23
  Author: andrea
Revision: 58615

Merged revisions 56765,56769,58614 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/kdeplasma-applets-networkmanager/trunk

........
  r56765 | andrea | 2009-10-27 10:30:41 +0100 (Tue, 27 Oct 2009) | 1 line
  
  removed optdepends
........
  r56769 | andrea | 2009-10-27 18:21:19 +0100 (Tue, 27 Oct 2009) | 1 line
  
  removed subversion from makedepends
........
  r58614 | andrea | 2009-11-10 12:04:34 +0100 (Tue, 10 Nov 2009) | 2 lines
  
  upgpkg: kdeplasma-applets-networkmanager 1047027-1
      new snapshot; remove the commit that install the whole plasmoid by default
........

Added:
  kdeplasma-applets-networkmanager/repos/extra-i686/remove-i-know-what-am-doing.patch
    (from rev 58614, kdeplasma-applets-networkmanager/trunk/remove-i-know-what-am-doing.patch)
Modified:
  kdeplasma-applets-networkmanager/repos/extra-i686/	(properties)
  kdeplasma-applets-networkmanager/repos/extra-i686/PKGBUILD

-----------------------------------+
 PKGBUILD                          |   15 ++++++++++-----
 remove-i-know-what-am-doing.patch |   14 ++++++++++++++
 2 files changed, 24 insertions(+), 5 deletions(-)


Property changes on: kdeplasma-applets-networkmanager/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /kdeplasma-applets-networkmanager/trunk:1-56762
   + /kdeplasma-applets-networkmanager/trunk:1-58614

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-10 11:04:34 UTC (rev 58614)
+++ extra-i686/PKGBUILD	2009-11-10 11:05:23 UTC (rev 58615)
@@ -3,22 +3,27 @@
 # Contributor: Jakub Schmidtke <sjakub-at-gmail.com>
 
 pkgname=kdeplasma-applets-networkmanager
-pkgver=1040936
+pkgver=1047027
 pkgrel=1
 pkgdesc="KDE4 NetworkManager plasmoid"
 arch=('i686' 'x86_64')
 url="http://plasma.kde.org/"
 license=('GPL')
 depends=('kdelibs>=4.3.0' 'kdebase-workspace>=4.3.0' 'networkmanager>=0.7.1')
-makedepends=('cmake' 'subversion' 'python' 'automoc4')
-optdepends=('networkmanager-openvpn-kde: for OpenVPN support')
+makedepends=('cmake' 'python' 'automoc4')
 conflicts=('networkmanager-plasmoid-svn')
 replaces=('networkmanager-plasmoid-svn')
 #svn co -q svn://websvn.kde.org:443/home/kde/trunk/playground/base/plasma/applets/networkmanager/ kdeplasma-applets-networkmanager
-source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-r${pkgver}.tar.bz2")
-md5sums=('da1b7a439ea03b7db5339b90d313f2ad')
+source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-r${pkgver}.tar.bz2"
+	'remove-i-know-what-am-doing.patch')
+md5sums=('ab554dfe2f503f176d33168f3042c80b'
+         'f4edca116beef0d70a93b5709b854e54')
 
 build() {
+  cd ${srcdir}/${pkgname}
+  # we can't build plasmoid with qt 4.5
+  patch -R -p6 -i ${srcdir}/remove-i-know-what-am-doing.patch || return 1
+
   cd ${srcdir}
   mkdir build
   cd build

Copied: kdeplasma-applets-networkmanager/repos/extra-i686/remove-i-know-what-am-doing.patch (from rev 58614, kdeplasma-applets-networkmanager/trunk/remove-i-know-what-am-doing.patch)
===================================================================
--- extra-i686/remove-i-know-what-am-doing.patch	                        (rev 0)
+++ extra-i686/remove-i-know-what-am-doing.patch	2009-11-10 11:05:23 UTC (rev 58615)
@@ -0,0 +1,14 @@
+--- trunk/playground/base/plasma/applets/networkmanager/applet/CMakeLists.txt	2009/11/06 21:19:15	1045850
++++ trunk/playground/base/plasma/applets/networkmanager/applet/CMakeLists.txt	2009/11/06 21:19:26	1045851
+@@ -21,11 +21,6 @@
+ 
+ kde4_add_ui_files(networkmanager_SRCS nmConfig.ui )
+ 
+-if(NOT I_KNOW_WHAT_IM_DOING)
+-   set(networkmanager_SRCS applet_wip.cpp)
+-   message(STATUS "Compiling dummy plasmoid because the real one is still work in progress...")
+-endif(NOT I_KNOW_WHAT_IM_DOING)
+-
+ kde4_add_plugin(plasma_applet_networkmanagement ${networkmanager_SRCS})
+ target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol)
+ 



More information about the arch-commits mailing list